Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").

Headers

Conductor-End-User-Id
string
required

The ID of the End-User to receive this request.

Example:

"end_usr_1234567abcdefg"

Path Parameters

id
string
required

The QuickBooks-assigned unique identifier of the vendor credit to void.

Maximum string length: 36
Example:

"123ABC-1234567890"

Response

200 - application/json

Returns a confirmation of the void with the ID of the voided vendor credit.

id
string
required

The QuickBooks-assigned unique identifier of the voided vendor credit.

Example:

"123ABC-1234567890"

objectType
string
required

The type of object. This value is always "qbd_vendor_credit".

Allowed value: "qbd_vendor_credit"
Example:

"qbd_vendor_credit"

createdAt
string | null
required

The date and time when this vendor credit was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss+hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.

Example:

"2025-01-01T12:34:56.000Z"

updatedAt
string | null
required

The date and time when this vendor credit was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss+hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.

Example:

"2025-02-01T12:34:56.000Z"

refNumber
string | null
required

The case-sensitive user-defined reference number of the voided vendor credit.

Example:

"VCREDIT-1234"

voided
boolean
required

Indicates whether the vendor credit was voided.

Example:

true